# $Revision: 1.11 $, $Date: 2008/11/07 20:50:41 $
Summary:	X interface to CLIPS
Summary(pl.UTF-8):	Iksowe międzymordzie do CLIPSa
Name:		xclips
Version:	2.01
Release:	2
Epoch:		1
License:	Public Domain (?)
Group:		Development/Languages
Source0:	http://www.ghg.net/clips/download/source/x-prjct.tar.Z
# Source0-md5:	1bb0d0e684742188b8c14912c26f12cb
Patch0:		%{name}-automake.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	clips-devel >= 6.24
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libX11-devel
URL:		http://www.ghg.net/clips/CLIPS.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLIPS is a productive development and delivery expert system tool
which provides a complete environment for the construction of rule
and/or object based expert systems. CLIPS is being used by numerous
users throughout the public and private community including: all NASA
sites and branches of the military, numerous federal bureaus,
government contractors, universities, and many companies.

This package contains X interface to CLIPS.

%description -l pl.UTF-8
CLIPS jest narzędziem do tworzenia i wdrażania systemów eksperckich
zapewniającym kompletne środowisko do tworzenia systemów eksperckich
opartych na regułach lub obiektach. CLIPS jest używany przez wielu
użytkowników prywatnych i publicznych, tym: NASA i różne gałęzie
wojska, biura federalne, kontrahentów rządowych, uniwersytety i wiele
firm.

Ten pakiet zawiera iksowe międzymordzie do CLIPSa.

%prep
%setup -q -n x-prjct
%patch0 -p1
# this directory confuses make(1)
rm -rf makefile

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xclips*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xclips.spec,v $
Revision 1.11  2008/11/07 20:50:41  arekm
- release 2

Revision 1.10  2007/09/11 15:52:55  baggins
- up to 2.01
- proper versioning
- use modular xorg

Revision 1.9  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.7  2003/05/28 13:03:03  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:28:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/04/10 16:27:29  malekith
- br: XFree86 and XFree86-devel (<X11/bitmaps/*> is in XFree86)

Revision 1.2  2002/04/10 09:53:35  malekith
- run autmake after autoconf

Revision 1.1  2002/04/10 09:34:23  malekith
- from scratch

